Subject: Re: [Bitcoin-development] Eliminating double-spends with two-party self-escrow for high value transactions

From: Mike Hearn <[email-masked]>
Date: Sat, 26 Apr 2014 20:51:19 +0200

>
> Note how the mechanism I'm proposing is basically just a Jeremy
> Spilman-style micropayment channel(1) used for a single payment; I
> should have made that clear in my original post.

Right, that does make more sense. Yes, it's a good idea. The question is
whether wallet UI's can support it without being overly complex. We'd be
asking users to take extra steps to work around unintuitive limitations of
the protocol. Products that do that too much tend to get left for something
that "just works". But there may be a slick way to present it.